import { Component } from '@angular/core';
import { UsersService } from './services/users.service';
import { ScrollService } from './services/scroll.service';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.scss']
})
export class AppComponent {
    public onScroll(el: HTMLDivElement) {
        if (el.scrollTop + el.clientHeight * 2 >= el.scrollHeight) this.scroll.signal(el.scrollHeight);
    }

    constructor(
        public users: UsersService,
        public scroll: ScrollService
    ) { }
}
